package de.jottyfan.quickiemod.container;

import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.inventory.SimpleInventory;
import net.minecraft.sound.SoundEvents;

/**
 *
 * @author jotty
 *
 */
public class BlockStackerInventory extends SimpleInventory {

	public BlockStackerInventory(Integer slotsize) {
		super(slotsize);
	}

	@Override
	public void onOpen(PlayerEntity player) {
		super.onOpen(player);
		player.playSound(SoundEvents.BLOCK_CHEST_OPEN, 1f, 1f);
	}

	@Override
	public void onClose(PlayerEntity player) {
		super.onClose(player);
		player.playSound(SoundEvents.BLOCK_CHEST_CLOSE, 1f, 1f);
	}

}
