package de.jottyfan.quickiemod.item;

import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ToolMaterial;
import net.minecraft.registry.RegistryKey;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.registry.tag.BlockTags;
import net.minecraft.registry.tag.ItemTags;
import net.minecraft.util.Identifier;

/**
 *
 * @author jotty
 *
 */
public class ToolQuickiepowderAxe extends ToolRangeableAxe {

	private final static ToolMaterial MATERIAL = new ToolMaterial(BlockTags.INCORRECT_FOR_DIAMOND_TOOL, 2400, 7f, 1f, 15, ItemTags.DIAMOND_TOOL_MATERIALS);

	public ToolQuickiepowderAxe(Identifier identifier) {
		super(MATERIAL, 7F, -3.1F, new Item.Settings().useItemPrefixedTranslationKey().registryKey(RegistryKey.of(RegistryKeys.ITEM, identifier)));
	}

	@Override
	public HarvestRange getRange(ItemStack stack) {
		// TODO: get the range from the stack
		return new HarvestRange(64, 128, 64); // trees bigger than that are too heavy for one small axe...
	}
}
