package de.jottyfan.quickiemod.item;

import net.minecraft.item.Item;
import net.minecraft.registry.RegistryKey;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.util.Identifier;

/**
 *
 * @author jotty
 *
 */
public abstract class AbstractIdentifiedItem extends Item {

	public AbstractIdentifiedItem(Identifier identifier, Integer maxCount) {
		super(new Item.Settings().maxCount(maxCount).useItemPrefixedTranslationKey()
				.registryKey(RegistryKey.of(RegistryKeys.ITEM, identifier)));
	}

}
